Subject: [PATCH] ARM: dts: am33xx: fix DMA support for the second USB interface

From: [email-masked] (George Cherian)
Date: Tue, 29 Apr 2014 10:01:21 +0530

On 4/28/2014 9:47 PM, Yegor Yefremov wrote:
> On Mon, Apr 28, 2014 at 4:25 PM, George Cherian <[email-masked]> wrote:
>> On 4/28/2014 2:07 PM, yegorslists at googlemail.com wrote:
>>> From: Yegor Yefremov <[email-masked]>
>>>
>>> This patch creates unique DMA channels for the second USB
>>> interface, otherwise the second USB interface is not usable
>>> at all.
>> MUSB_DMA_NUM_CHANNELS is 15, so if you pass  any dma-names > 15 (>
>> rx15/tx15),
>> the dma_controller_create in musb_core.c fails and it falls back to PIO
>> mode.
> What's the proper fix for the DMA issue?
I could not understand what issue you are referring to.
In my setup I use both BBB and BBW (Beagle Bone Black/White)with one USB 
in host (USB1)
and one USB in gadget (USB0). I dont see any issues with DMA.

Can you be more specific?
> Yegor

-- 
-George